Recommended update for Azure Python SDK

SUSE Recommended Update: Recommended update for Azure Python SDK
Announcement ID: SUSE-RU-2019:2026-1
Rating: moderate
References: #1054413 #1122523 #979331
Affected Products:
  • SUSE OpenStack Cloud 8
  • SUSE OpenStack Cloud 7
  • SUSE Linux Enterprise Server for SAP 12-SP3
  • SUSE Linux Enterprise Server for SAP 12-SP2
  • SUSE Linux Enterprise Server for SAP 12-SP1
  • SUSE Linux Enterprise Server 12-SP5
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3-LTSS
  • SUSE Linux Enterprise Server 12-SP3-BCL
  • SUSE Linux Enterprise Server 12-SP2-LTSS
  • SUSE Linux Enterprise Server 12-SP2-BCL
  • SUSE Linux Enterprise Server 12-SP1-LTSS
  • SUSE Linux Enterprise Module for Public Cloud 12
  • SUSE Linux Enterprise Desktop 12-SP5
  • SUSE Linux Enterprise Desktop 12-SP4
  • SUSE Enterprise Storage 5
  • SUSE Enterprise Storage 4
  • SUSE CaaS Platform 3.0

An update that has three recommended fixes can now be installed.

Description:

This update brings the following python modules for the Azure Python SDK:

  • python-Flask
  • python-Werkzeug
  • python-click
  • python-decorator
  • python-httpbin
  • python-idna
  • python-itsdangerous
  • python-py
  • python-pytest-httpbin
  • python-pytest-mock
  • python-requests

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud 8:
    zypper in -t patch SUSE-OpenStack-Cloud-8-2019-2026=1
  • SUSE OpenStack Cloud 7:
    zypper in -t patch SUSE-OpenStack-Cloud-7-2019-2026=1
  • SUSE Linux Enterprise Server for SAP 12-SP3:
    zypper in -t patch SUSE-SLE-SAP-12-SP3-2019-2026=1
  • SUSE Linux Enterprise Server for SAP 12-SP2:
    zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-2026=1
  • SUSE Linux Enterprise Server for SAP 12-SP1:
    zypper in -t patch SUSE-SLE-SAP-12-SP1-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP3-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP3-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP2-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP2-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-2026=1
  • SUSE Linux Enterprise Server 12-SP1-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP1-2019-2026=1
  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2019-2026=1
  • SUSE Linux Enterprise Desktop 12-SP5:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP5-2019-2026=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-2026=1
  • SUSE Enterprise Storage 5:
    zypper in -t patch SUSE-Storage-5-2019-2026=1
  • SUSE Enterprise Storage 4:
    zypper in -t patch SUSE-Storage-4-2019-2026=1
  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE OpenStack Cloud 8 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE OpenStack Cloud 7 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server for SAP 12-SP3 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server for SAP 12-SP2 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server for SAP 12-SP1 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server 12-SP5 (noarch):
    • python-idna-2.5-3.10.2
    • python3-idna-2.5-3.10.2
  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
  • SUSE Linux Enterprise Server 12-SP3-LTSS (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server 12-SP3-BCL (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server 12-SP2-LTSS (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server 12-SP2-BCL (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Server 12-SP1-LTSS (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • python-Flask-0.12.1-7.4.2
    • python-Werkzeug-0.12.2-10.4.2
    • python-click-6.7-2.4.2
    • python-decorator-4.1.2-4.4.2
    • python-httpbin-0.5.0-2.4.2
    • python-idna-2.5-3.10.2
    • python-itsdangerous-0.24-7.4.2
    • python-py-1.5.2-8.8.2
    • python-requests-2.18.2-8.4.2
    • python-six-1.11.0-9.21.2
    • python3-Flask-0.12.1-7.4.2
    • python3-Werkzeug-0.12.2-10.4.2
    • python3-click-6.7-2.4.2
    • python3-decorator-4.1.2-4.4.2
    • python3-httpbin-0.5.0-2.4.2
    • python3-idna-2.5-3.10.2
    • python3-itsdangerous-0.24-7.4.2
    • python3-py-1.5.2-8.8.2
    • python3-requests-2.18.2-8.4.2
    • python3-six-1.11.0-9.21.2
  • SUSE Linux Enterprise Desktop 12-SP5 (noarch):
    • python-idna-2.5-3.10.2
    • python3-idna-2.5-3.10.2
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
  • SUSE Enterprise Storage 5 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE Enterprise Storage 4 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2
    • python3-idna-2.5-3.10.2
    • python3-six-1.11.0-9.21.2
  • SUSE CaaS Platform 3.0 (noarch):
    • python-idna-2.5-3.10.2
    • python-six-1.11.0-9.21.2

References: